Skip to main content
DELETE
/
v1
/
environments
/
{environment_id}
Archive Organization Environment
curl --request DELETE \
  --url https://api.retab.com/v1/environments/{environment_id} \
  --header 'Api-Key: <api-key>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.retab.com/llms.txt

Use this file to discover all available pages before exploring further.

Archive a non-production environment.
Python
from retab import Retab

client = Retab()

environment = client.environments.delete_environment("env_123")
print(environment.id)
TypeScript
import { Retab } from "@retab/node";

const client = new Retab({ apiKey: process.env.RETAB_API_KEY });

const environment = await client.environments.delete_environment("env_123");
console.log(environment.id);
Go
package main

import (
	"context"
	"log"

	retab "github.com/retab-dev/retab/clients/go"
)

func main() {
	client, err := retab.NewClient("")
	if err != nil {
		log.Fatal(err)
	}

	if err := client.Environments.Delete(context.Background(), "env_123"); err != nil {
		log.Fatal(err)
	}
}
Java
import com.retab.RetabClient;

public final class Example {
  public static void main(String[] args) throws Exception {
    RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));

    client.environments().delete("env_123");
  }
}
cURL
curl -X DELETE 'https://api.retab.com/v1/environments/env_123' \
  -H "Api-Key: $RETAB_API_KEY"

Authorizations

Api-Key
string
header
required

Path Parameters

environment_id
string
required

Response

Successful Response